# ScrollBar

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Control](/api/wisej.web/general/control.md)
  * [ScrollBar](/api/wisej.web/content/scrollbar.md)

Implements the basic functionality of a scroll bar control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ScrollBar : Control
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ScrollBar
    Inherits Control
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) ScrollBar()

Initializes a new instance of the [ScrollBar](/api/wisej.web/content/scrollbar.md) class.

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) LargeChange

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets a value to be added to or subtracted from the [Value](#value) property when the scroll box is moved a large distance. (Default: `10`)

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception) The assigned value is less than 0.

### ![](/files/hsR4ok3152WyAf8J2C1u) Maximum

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the upper limit of values of the scrollable range. (Default: `100`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Minimum

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the lower limit of values of the scrollable range. (Default: `0`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Orientation

[Orientation](/api/wisej.web/enumerations/wisej.web.orientation.md): Returns the orientation of the scrollbar control.

### ![](/files/hsR4ok3152WyAf8J2C1u) SmallChange

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the value to be added to or subtracted from the [Value](#value) property when the scroll box is moved a small distance. (Default: `1`)

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception) The assigned value is less than 0.

### ![](/files/hsR4ok3152WyAf8J2C1u) TabStop

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether the user can give the focus to this control using the TAB key and the [Focusable](/api/wisej.web/general/control.md#focusable) property is set to true. (Default: `False`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Value

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets a numeric value that represents the current position of the scroll box on the scroll bar control. (Default: `0`)

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception) The assigned value is less than the [Minimum](#minimum) property value; or the assigned value is greater than the [Maximum](#maximum) property value.

## Methods

### ![](/files/lzopMboA31bVq8UIcbT3) OnScroll(e)

Fires the [Scroll](#scroll) event.

| Parameter | Type                                                                             | Description                                                                                                      |
| --------- | -------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| **e**     | [ScrollEventArgs](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md) | A [ScrollEventArgs](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md) that contains the event data. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnValueChanged(e)

Fires the [ValueChanged](#valuechanged) event.

| Parameter | Type                                                                | Description                                                                                          |
| --------- | ------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------- |
| **e**     | [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) | An [EventArgs](https://docs.microsoft.com/dotnet/api/system.eventargs) that contains the event data. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebEvent(e)

Processes the event from the client.

| Parameter | Type                                                        | Description      |
| --------- | ----------------------------------------------------------- | ---------------- |
| **e**     | [WisejEventArgs](/api/wisej.core/general/wisejeventargs.md) | Event arguments. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebRender(config)

Renders the client component.

| Parameter  | Type                                                          | Description                   |
| ---------- | ------------------------------------------------------------- | ----------------------------- |
| **config** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic configuration object. |

## Events

### ![](/files/hsR4ok3152WyAf8J2C1u) Scroll

[ScrollEventHandler](/api/wisej.web/content/scrollbar/wisej.web.scrolleventhandler.md) Fired when the scroll box has been moved by either a mouse or keyboard action.

### ![](/files/hsR4ok3152WyAf8J2C1u) ValueChanged

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired when the [Value](#value) property is changed, either by a [Scroll](#scroll) event or programmatically.

## Inherited By

| Name                                                                   | Description                          |
| ---------------------------------------------------------------------- | ------------------------------------ |
| [HScrollBar](/api/wisej.web/content/scrollbar/wisej.web.hscrollbar.md) | Represents an horizontal scroll bar. |
| [VScrollBar](/api/wisej.web/content/scrollbar/wisej.web.vscrollbar.md) | Represents a vertical scroll bar.    |

## Implements

| Name                                                                              | Description                                                                                                           |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface.       |
| [IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                         |
| [IDropTarget](/api/wisej.web/interfaces/wisej.web.idroptarget.md)                 | Controls that support drag & drop operations implement this interface.                                                |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                        |
| [IWisejControl](/api/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/content/scrollbar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
